## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:			rkcommon
Version:		1.12.0
Release:		%autorelease
Summary:		Intel renderKit common C++/CMake infrastructure

License:		Apache-2.0
URL:			https://github.com/ospray/rkcommon
Source0:		%{url}/archive/v%{version}/%{name}-%{version}.tar.gz

# Upstream only supports x86-64 and ARM64 architectures
ExclusiveArch:	x86_64 aarch64

BuildRequires:	cmake >= 3.1
BuildRequires:	gcc-c++
BuildRequires:	tbb-devel

%description
This project represents a common set of C++ infrastructure and CMake utilities
used by various components of Intel oneAPI rendering toolkit.

%package		devel
Summary:		Development files for %{name}
Requires:		%{name}%{?_isa} = %{version}-%{release}

%description	devel
The %{name}-devel package contains libraries and header files for
applications that use %{name}.

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license LICENSE.txt
%doc README.md
%{_bindir}/rkcommon_test_suite
%{_libdir}/lib%{name}.so.1
%{_libdir}/lib%{name}.so.%{version}

%files devel
%{_includedir}/%{name}
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}-%{version}/

%changelog
* Tue Oct 10 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> 1.12.0-1
- update to 1.12.0

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.11.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue May 16 2023 Ali Erdinc Koroglu <aekoroglu@linux.intel.com> 1.11.0-3
- moving to so versioning

* Thu Mar 02 2023 aekoroglu <aekoroglu@linux.intel.com> 1.11.0-2
- supports x86 and ARM 64bit arches for now

* Thu Mar 02 2023 aekoroglu <aekoroglu@linux.intel.com> 1.11.0-1
- initial release
